Summary: On Qt-based, cross-platform software is designed for creating and guessing the classic crossword puzzles.

Summary(ru): Кроссплатформенная программа для создания и отгадывания классических кроссвордов. Основана на Qt.

%define version 1.0.0

Group: Games/Puzzles

Name: klest-crossword

BuildRequires: gcc-c++, libqt4-sql-sqlite >= 4.4.3, libqtgui4 >= 4.4.3, libqt4-core >= 4.4.3 libqt4-webkit >= 4.4.3

BuildArch: %ix86

Provides: klest-crossword

Release: alt1 

Source: klest-crossword-%{version}.tar.gz 

Url: http://en.labfreetech.org

Version: %{version}

License: GPLv2

Packager: LabFreeTech.org admin@labfreetech.org

%description
On Qt-based, cross-platform software is designed for creating and guessing the classic crossword puzzles.
 Program for creating crossword puzzles. Designed for professional compiling, editing and easy guessing the classic crossword puzzles. Contains more than 1,000 crossword puzzles to guess. Provides a lot of tools for creating a crossword puzzle. It a dictionary of 31 000 Russian words and a dictionary of 41 000 English words. All functions: - Creating; - Guessing; - Check correctness of guessing; - Save state incompletely guessed crossword puzzle; - Automatic creation of crossword puzzle grid (beta); - Automatic compile of crossword; - Semi-automatic compilation; - Editing the dictionaries; - Saving created a crossword puzzle grid, as a template for the new; - Editing the font crossword; - Manually creation of the grid; - Export crossword: RTF, PDF, PostScript(*.ps), HTML, Text format AcrossLite, JPG, JPEG, TIFF, BMP, XPM, PNG, XBM, PPM, OpenKlest(*.ok). - Import crossword:Text format Across Lite, OpenKlest(*.ok); - Print crossword; - Statistics;

%description -l ru
Кроссплатформенная программа для создания и отгадывания классических кроссвордов. Основана на Qt.
 Программа для создания кроссвордов. Предназначена для профессионального составления, редактирования и лёгкого отгадывания классических кроссвордов. Содержит более 1000 кроссвордов для отгадывания. Предоставляет много инструментов для создания кроссворда. В ней есть словарь на 31 000 русских слов и словарь на 41 000 английских слов. Все функции: - Создание; - Отгадывание; - Проверка правильности отгадывания; - Сохранение состояния неполностью отгаданного кроссворда; - Автоматическое создание сетки(бета); - Автоматическое составление кроссворда; - Полуавтоматическое составление; - Редактирование словарей; - Сохранение созданной сетки кроссворда, как шаблон для нового; - Редактирование шрифта кроссворда; - Ручное создание сетки; - Экспорт кроссворда: RTF, PDF, PostScript(*.ps), HTML, Текстовый формат Across Lite, JPG, JPEG, TIFF, BMP, XPM, PNG, XBM, PPM, OpenKlest(*.ok) - Импорт кроссворда: Текстовый формат Across Lite, OpenKlest(*.ok); - Печать кроссворда; - Статистика;

%prep

%setup -q
%configure

%build
%make_build

%install

cp -Rv klest/ $RPM_BUILD_ROOT/

%clean

rm -rf $RPM_BUILD_ROOT

%files

/usr/*

%post 

if (test -d $HOME/Desktop) then
      test -e $HOME/Desktop/klest-crossword-1.0.0.desktop  || ln -s /usr/share/applications/klest-crossword-1.0.0.desktop $HOME/Desktop/klest-crossword-1.0.0.desktop
else 
	echo "Use command \"/usr/games/klest-crossword-1.0.0\""
fi

%postun 

test -L $HOME/Desktop/klest-crossword-1.0.0.desktop && rm -r $HOME/Desktop/klest-crossword-1.0.0.desktop
