/* ======================================================================
**  struct.h - Заголовочный файл модуля формы шаблонов кроссвордов.
**  Является частью программы Клёст-кроссворд, распространяемой под
**  Стандартной общественной лицензией, версии 2 (GNU GPL v2).
** ======================================================================
**  Copyleft 2009 - 2012 by Lab Free Technologies <admin@LabFreeTech.org>
** ==============================================================================
**  Copyleft 2009 - 2012 Лаборатория свободных технологий <admin@LabFreeTech.org>
** ==============================================================================
*/

#ifndef STRUCT_H
#define STRUCT_H

//Структура файла свойств программы
struct TFileOptions
{
     bool bModeWork;//Режим работы программы
     bool bLanguageProgram;//Язык программы
     bool bStateStandardToolbar;//Состояние показа стандартной панели
     bool bStateExport;//Состояние экспортирования
     bool bCurrentDictionary;//Текущий словарь
     bool bUseCrosswordPassword;//Использовать пароль для кроссворда
     bool bUseModeEditingPassword;//Использовать пароль для режима редактирования
     QByteArray sModeEditingPassword;//Пароль режима редактирования
     QByteArray sCrosswordPassword;//Пароль кроссворда
     QString sPathCrossword;//Путь для кроссвордов
     QString sPathTemplate;//Путь для шаблонов
     int iNumberTimes;//Количество раз
     int iTypeExport;//Тип экспорта
};

//Структура текста кроссворда
struct TCrosswordText
{
    QStringList ListOutH;
    QStringList ListOutV;
    QString ListWordH;
    QString ListWordV;
};

#endif // STRUCT_H
