/* ======================================================================
**  TDictionary.h - Заголовочный файл модуля формы словаря.
**  Является частью программы Клёст-кроссворд, распространяемой под
**  Стандартной общественной лицензией, версии 2 (GNU GPL v2).
** ======================================================================
**  Copyleft 2009 - 2012 by Lab Free Technologies <admin@LabFreeTech.org>
** ==============================================================================
**  Copyleft 2009 - 2012 Лаборатория свободных технологий <admin@LabFreeTech.org>
** ==============================================================================
*/

#ifndef TDICTIONARY_H
#define TDICTIONARY_H
#include "ui_TDictionary.h"
#include <QtCore/QString>
#include <QtSql/QSqlTableModel>
#include <QtSql/QSqlQuery>
#include <QtSql/QSqlRecord>

namespace Ui {
class TDictionary;
}

class TDictionary : public QDialog, public Ui::TDictionary {
      Q_OBJECT

public:

       QString CurrentTable;//Текущая таблица
       bool SaveState;//false - словарь был изменён
       QSqlTableModel* model2;
       explicit TDictionary(QDialog *pwgt = 0);
       ~TDictionary();

       Ui::TDictionary *ui;

private:

public slots:
       void slotCellClicked();//Открытие таблицы со словами
       void slotAddRecord();//Добавление записи в словарь
       void slotDelRecord();//Удаление записи из словаря
       void slotMainTable();//При щелчке по кнопке bMainTable
       //void slotb1();
       void slotbSave();//При сохраниении словаря

};
#endif
