/* ======================================================================
**  TOptions.h - Заголовочный файл модуля формы свойств.
**  Является частью программы Клёст-кроссворд, распространяемой под
**  Стандартной общественной лицензией, версии 2 (GNU GPL v2).
** ======================================================================
**  Copyleft 2009 - 2012 by Lab Free Technologies <admin@LabFreeTech.org>
** ==============================================================================
**  Copyleft 2009 - 2012 Лаборатория свободных технологий <admin@LabFreeTech.org>
** ==============================================================================
*/

#ifndef TOPTIONS_H
#define TOPTIONS_H
#include "ui_TOptions.h"
#include <QtCore/QString>
#include <QtGui/QFileDialog>

namespace Ui {
class TOptions;
}

class TOptions: public QDialog, public Ui::TOptions{
      Q_OBJECT

public:

       explicit TOptions(QDialog *pwgt = 0);
       ~TOptions();

       Ui::TOptions *ui;

public slots:
       void slotSelectPathCrossword();//Выбор пути к папке экспортируемых кроссвордов
       void slotSelectPathTemplates();//Выбор пути к папке шаблонов
       void slotEnableTypeExport();//Включения элемента выбора для экспорта


};
#endif
