/* ======================================================================
**  TSemiautomaticWindow.cpp - Исходный файл модуля формы полуавтоматического ввода.
**  Является частью программы Клёст-кроссворд, распространяемой под
**  Стандартной общественной лицензией, версии 2 (GNU GPL v2).
** ======================================================================
**  Copyleft 2009 - 2012 by Lab Free Technologies <admin@LabFreeTech.org>
** ==============================================================================
**  Copyleft 2009 - 2012 Лаборатория свободных технологий <admin@LabFreeTech.org>
** ==============================================================================
*/

#include "TSemiautomaticWindow.h"

TSemiautomaticWindow::TSemiautomaticWindow(QDialog *pwgt /* = 0*/): QDialog(pwgt),
    ui(new Ui::TSemiautomaticWindow)
{
    ui->setupUi(this);
    ui->listWidget->hide();
    connect(ui->lvWords, SIGNAL(clicked(QModelIndex)), SLOT(slotSelectWord()));
}

TSemiautomaticWindow::~TSemiautomaticWindow()
{
    delete ui;
}

void TSemiautomaticWindow::slotSelectWord()
{
    int i = ui->lvWords->currentIndex().row();
    ui->teInterpretation->setText(ListInterpretation->at(i));
    Question = ui->teInterpretation->toPlainText();
    Word = ui->lvWords->model()->data(ui->lvWords->currentIndex()).toString();
}
