/* ======================================================================
**  TStatistics.cpp - Исходный файл модуля формы статистики.
**  Является частью программы Клёст-кроссворд, распространяемой под
**  Стандартной общественной лицензией, версии 2 (GNU GPL v2).
** ======================================================================
**  Copyleft 2009 - 2012 by Lab Free Technologies <admin@LabFreeTech.org>
** ==============================================================================
**  Copyleft 2009 - 2012 Лаборатория свободных технологий <admin@LabFreeTech.org>
** ==============================================================================
*/

#include "TStatistics.h"

TStatistics::TStatistics(QDialog *pwgt/* = 0*/): QDialog(pwgt),
    ui(new Ui::TStatistics)
{
    ui->setupUi(this);
}

TStatistics::~TStatistics()
{
    delete ui;
}

void TStatistics::on_pbStatisticsClear_clicked()
{
    QString strStat;
    int ibegin,
            iend;
    QFile rfile(PATH_STAT);
    QDataStream srfile(&rfile);
    rfile.open(QIODevice::ReadOnly);
    strStat.clear();
    srfile >> strStat;
    rfile.close();
    QFile wfile(PATH_STAT);
    QDataStream swfile(&wfile);
    wfile.open(QIODevice::WriteOnly);
    ibegin = strStat.indexOf("</TR>\n") + 6;
    iend = strStat.lastIndexOf("</TABLE>");
    strStat.remove(ibegin, iend - ibegin);
    swfile << strStat;
    wfile.close();
    ui->teStatistics->setHtml(strStat);
    //FormStat.show();
}
