/* ======================================================================
**  TTemplateGrid.cpp - Исходный файл модуля сетки шаблона кроссворда.
**  Является частью программы Клёст-кроссворд, распространяемой под
**  Стандартной общественной лицензией, версии 2 (GNU GPL v2).
** ======================================================================
**  Copyleft 2009 - 2012 by Lab Free Technologies <admin@LabFreeTech.org>
** ==============================================================================
**  Copyleft 2009 - 2012 Лаборатория свободных технологий <admin@LabFreeTech.org>
** ==============================================================================
*/

#include "TTemplateGrid.h"

TTemplateGrid::TTemplateGrid(QTableWidget *pwgt /* = 0*/) : QTableWidget(pwgt)
{

}

TTemplateGrid::~TTemplateGrid()
{

}

//При щелчке мышью, происходит изменения цвета ячеек таблицы, с чёрного на синий и наоборот
/*virtual*/ void TTemplateGrid::mouseReleaseEvent(QMouseEvent* pe)
{
    QBrush BrushBlue =  QBrush(Qt::blue, Qt::SolidPattern);
    QBrush BrushBlack = QBrush(Qt::black, Qt::SolidPattern);
    uchar CellsColor;
    //QBrush BrushWhite = QBrush(Qt::white, Qt::SolidPattern);
    if(rowCount() != 0 && columnCount() != 0)
        for(int i = 0; i < rowCount(); i++)
            for(int j = 0; j < columnCount(); j++)
            {
                if(item(i, j)->background() == BrushBlack)
                {
                    item(i, j)->setBackground(BrushBlue);
                    CellsColor = 1;
                }
                else
                    if(item(i, j)->background() == BrushBlue)
                    {
                        item(i, j)->setBackground(BrushBlack);
                        CellsColor = 0;
                    }
            }
    emit CurrentTable();
    QTableWidget::mouseReleaseEvent(pe);
}
